import unittest

# upper, isupper, split
class TestString(unittest.TestCase):
    def test_upper(self):
        self.assertEqual("Foobar".upper(), "FOOBAR")
        self.assertNotEqual("Foobar".upper(), "FOOBAR2")

    def test_isupper(self):
        self.assertTrue("FOOBAR".isupper())
        self.assertFalse("Foobar".isupper())

    def test_split(self):
        self.assertEqual("abc def".split(), ["abc", "def"])
        self.assertIn("abc", "abc def".split())
        with self.assertRaises(TypeError):
            "abc def".split(2)

if __name__ == '__main__':
    unittest.main()
